Bug 146571 - xen gets stuck at boot with "APIC error on CPU0"
xen gets stuck at boot with "APIC error on CPU0"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 16:51 EST by Robin Green
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 15:08:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to workaround this bug (713 bytes, patch)
2005-01-29 16:54 EST, Robin Green
no flags Details | Diff
Output of lspci -vvv when running under Xen (6.00 KB, text/plain)
2005-01-29 16:56 EST, Robin Green
no flags Details

  None (edit)
Description Robin Green 2005-01-29 16:51:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050128 Firefox/1.0

Description of problem:
I followed the instructions to install xen on fc3 at
http://www.fedoraproject.org/wiki/FedoraXenQuickstart
- with one exception - I changed the dom0_mem allocation in grub.conf
from 130000 to 260000

On boot, in the blink of an eye xen gets stuck in a loop, displaying

(XEN) APIC error on CPU0: 02(02)

over and over. Nothing else seems to happen.

Version-Release number of selected component (if applicable):
xen-2-20050124

How reproducible:
Always

Steps to Reproduce:
1. Boot xen on my hardware :)
    

Actual Results:  See above

Expected Results:  Boot normally

Additional info:

The attached patch works around this problem and enables my machine to
boot normally to runlevel 5.

Please note that I do NOT have an SMP machine!

I will also attach the output of lspci -vvv (called when running under
Xen). cat /proc/cpuinfo is:

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 6
model name      : AMD Athlon(tm) XP 1800+
stepping        : 2
cpu MHz         : 1533.413
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : yes
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36
mmx fxsr sse pni syscall mmxext 3dnowext 3dnow
bogomips        : 3060.53
Comment 1 Robin Green 2005-01-29 16:54:00 EST
Created attachment 110399 [details]
Patch to workaround this bug
Comment 2 Robin Green 2005-01-29 16:56:34 EST
Created attachment 110400 [details]
Output of lspci -vvv when running under Xen
Comment 3 Rik van Riel 2005-01-29 17:00:33 EST
Thanks for your patch.  Shall I point the Xen developers at this bug
report, or do you prefer to write them yourself?  I will try to get
your problem resolved in the upstream Xen tree (and the RPMs) ASAP.
Comment 4 Robin Green 2005-01-29 23:16:15 EST
> Shall I point the Xen developers at this bug
report

Yes please.
Comment 5 Fedora Update System 2005-08-26 17:37:10 EDT
From User-Agent: XML-RPC

A new Xen version has been pushed to Fedora Core 4 updates.  This version of Xen (combined with the latest kernel update) should fix this issue.

Please reopen this bug if the problems continue with the latest Xen and kernel updates.
Comment 6 Fedora Update System 2005-08-29 23:24:36 EDT
From User-Agent: XML-RPC

A new Xen version has been pushed to Fedora Core 4 updates.  This version of Xen (together with kernel 2.6.12-1.1435 or newer) should fix this issue.

Please reopen this bug if the problems continue with the latest Xen and kernel updates.
Comment 7 Stephen Tweedie 2006-01-24 18:20:28 EST
Rawhide / FC5test2 has a greatly rebased Xen hypervisor and kernel.  Can you
reproduce this problem on the latest kernel?  Upstream Xen does not have your
patch, but if the problem still exists, we can add a patch to rate-limit the
printk: that would be preferable to disabling it entirely after the first
occurrence.
Comment 8 Stephen Tweedie 2006-02-24 15:08:23 EST
Please reopen if this persists with current versions.

Note You need to log in before you can comment on or make changes to this bug.